cvc4_public.h File Reference

Macros that should be defined everywhere during the building of the libraries and driver binary, and also exported to the user. More...

`#include <stdint.h>`
Include dependency graph for cvc4_public.h:

Go to the source code of this file.

## Macros

#define | CVC4_PUBLIC
#define | CVC4_UNDEFINED
#define | CVC4_UNUSED
#define | CVC4_NORETURN
#define | CVC4_CONST_FUNCTION
#define | CVC4_PURE_FUNCTION
#define | CVC4_DEPRECATED
#define | CVC4_WARN_UNUSED_RESULT

## Detailed Description

Macros that should be defined everywhere during the building of the libraries and driver binary, and also exported to the user.

    ** Original author: Morgan Deters
    ** Major contributors: none
    ** Minor contributors (to current version): none
    ** This file is part of the CVC4 project.
    ** Copyright (c) 2009-2014  New York University and The University of Iowa
    ** See the file COPYING in the top-level source directory for licensing
    ** information.

Macros that should be defined everywhere during the building of the libraries and driver binary, and also exported to the user.

Definition in file cvc4_public.h.

## Macro Definition Documentation

## CVC4_CONST_FUNCTION

#define CVC4_CONST_FUNCTION

Definition at line 65 of file cvc4_public.h.

## CVC4_DEPRECATED

#define CVC4_DEPRECATED

Definition at line 67 of file cvc4_public.h.

## CVC4_NORETURN

#define CVC4_NORETURN

Definition at line 64 of file cvc4_public.h.

## CVC4_PUBLIC

#define CVC4_PUBLIC

Definition at line 30 of file cvc4_public.h.

## CVC4_PURE_FUNCTION

#define CVC4_PURE_FUNCTION

Definition at line 66 of file cvc4_public.h.

## CVC4_UNDEFINED

#define CVC4_UNDEFINED

Definition at line 52 of file cvc4_public.h.

## CVC4_UNUSED

#define CVC4_UNUSED

Definition at line 63 of file cvc4_public.h.

## CVC4_WARN_UNUSED_RESULT

#define CVC4_WARN_UNUSED_RESULT

Definition at line 68 of file cvc4_public.h.